%define name perl-WebFetch
%define module WebFetch
%define version 0.10
%define release %mkrel 11

Name:		%{name}
Summary:	Perl module to download and save information from the Web
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{module}
Source:		%{module}-%{version}.tar.bz2
Buildrequires:	perl(Date::Calc)
Buildrequires:  perl(HTML::Parser)
Buildrequires:  perl-libwww-perl 
Buildrequires:  perl(XML::Parser)
%if %{mdkversion} < 1010
Buildrequires:perl-devel
%endif
Requires:	perl-Locale-Codes 
Requires:       perl-Date-Calc 
Requires:       perl-XML-Parser 
Buildroot:	%{_tmppath}/%{name}-buildroot
Buildarch:	noarch

%description
WebFetch is a Perl module to download and save information from the Web, and
to display on the Web.  It will download from sites such as CNet, CNN,
Freshmeat, Slashdot, LinuxToday, Yahoo, and more.  It can even export your
site's news for other sites to include in their web pages.

%prep 
rm -rf $RPM_BUILD_ROOT

%setup -n %{module}-%{version}

%build

CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL INSTALLDIRS=vendor
make
make test


%install

rm -rf $RPM_BUILD_ROOT
make PREFIX=$RPM_BUILD_ROOT%{_prefix} DESTDIR=$RPM_BUILD_ROOT install


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Changes MANIFEST TODO README
%{perl_vendorlib}/WebFetch*
%{perl_vendorlib}/auto/WebFetch
%{perl_vendorlib}/*.pod
%_mandir/*/*





%changelog
* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.10-11mdv2008.1
+ Revision: 136364
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Sat Oct 28 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.10-11mdv2007.0
+ Revision: 73532
- Fix Build
- import perl-WebFetch-0.10-10mdk

* Fri Sep 30 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.10-10mdk
- Fix url

* Fri Sep 30 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.10-9mdk
- remove -q

* Wed Jun 30 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.10-8mdk
- rebuild

